inane inane - 1 month ago 20
Java Question

Crash Jetbrains ide with Yosemite Mac osX (Webstorm, intellij)

This is a tip in reference to Yosemite ´s users (10.10). Yosemite erase 1.6 apple jdk and install 1.7, but JAVA´s IDE for example Intellij or Eclipse needs 1.6, if you haven´t reinstalled this version, your ide will crash at the beginning... after this process you can configure your ide with 1.7 version.

Here the link : Apple JDK 1.6

Answer

Please do not edit your Info.plist file as it will break the application digital signature and prevent the patch updates.

I was able to get phpStorm working properly again on my Mac ( Yosemite ) by installing this apple support package: Java for OS X 2014-001Java

This package installs the same version of Java 6 included in Java for OS X 2013-005 which apparently plays nice with JetBrains.

Hope this helps.